Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#1161 Date parsing does not work in named columns

5.0
closed-fixed
nobody
Other (155)
5
2013-05-23
2012-08-19
Ivan Krylov
No

Dear Maintainer,
When date/time data are retreived from a column by its name, date parsing does not work. For example, this script:

#!/usr/bin/gnuplot -persist
set xdata time
set timefmt "%Y-%m-%d-%H:%M"
set format x "%H:%M\n%Y-%m-%d"
plot "-" using "datetime":"data"
datetime data
2012-08-19-11:50 1234
2012-08-19-12:20 5678
2012-08-20-00:01 1234

complains:

Warning: empty x range [2012:2012], adjusting to [1991.88:2032.12]

and shows the same date "00:03 2000-01-01" on x axis, but works normally when using 1:"data" instead of "datetime":"data".

Version of gnuplot used is gnuplot 4.6 patchlevel 0 from Debian Wheezy.

Sorry for my English and best regards,
Ivan

Discussion

  • Ethan Merritt
    Ethan Merritt
    2012-08-21

    • status: open --> open-postponed
     
  • Ethan Merritt
    Ethan Merritt
    2012-08-21

    This is a restriction of the current implementation. Perhaps someone will see a way to remove the restriction, but for now it should be documented.

     
  • Ethan Merritt
    Ethan Merritt
    2013-05-23

    • status: open-postponed --> closed-fixed
    • Group: --> 5.0
     
  • Ethan Merritt
    Ethan Merritt
    2013-05-23

    Fixed in 4.6 and 4.7